## GcalDateChooser GcalDateChooser |

## Functions

GcalDateChooserDayOptions | (*GcalDateChooserDayOptionsCallback) ()
GtkWidget * | gcal_date_chooser_new ()
GDateTime * | gcal_date_chooser_get_date ()
void | gcal_date_chooser_set_date ()
void | gcal_date_chooser_set_day_options_callback ()
void | gcal_date_chooser_invalidate_day_options ()
gboolean | gcal_date_chooser_get_no_month_change ()
void | gcal_date_chooser_set_no_month_change ()
gboolean | gcal_date_chooser_get_show_heading ()
void | gcal_date_chooser_set_show_heading ()
gboolean | gcal_date_chooser_get_show_day_names ()
void | gcal_date_chooser_set_show_day_names ()
gboolean | gcal_date_chooser_get_show_week_numbers ()
void | gcal_date_chooser_set_show_week_numbers ()

## Properties

GDateTime * | date | Read / Write
gboolean | no-month-change | Read / Write
gboolean | show-day-names | Read / Write
gboolean | show-heading | Read / Write
gboolean | show-week-numbers | Read / Write

## Signals

void | day-selected | Run First
void | month-changed | Run First

## Types and Values

enum | GcalDateChooserDayOptions
#define | GCAL_TYPE_DATE_CHOOSER
| GcalDateChooser

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GcalDateChooser

## Implemented Interfaces

GcalDateChooser implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### GcalDateChooserDayOptionsCallback ()

    GcalDateChooserDayOptions
    (*GcalDateChooserDayOptionsCallback) (GcalDateChooser *self,
                                          GDateTime *date,
                                          gpointer user_data);

### gcal_date_chooser_new ()

    GtkWidget *
    gcal_date_chooser_new (void);

### gcal_date_chooser_get_date ()

    GDateTime *
    gcal_date_chooser_get_date (GcalDateChooser *self);

### gcal_date_chooser_set_date ()

    void
    gcal_date_chooser_set_date (GcalDateChooser *self,
                                GDateTime *date);

### gcal_date_chooser_set_day_options_callback ()

    void
    gcal_date_chooser_set_day_options_callback
                                   (GcalDateChooser *self,
                                    GcalDateChooserDayOptionsCallback callback,
                                    gpointer data,
                                    GDestroyNotify destroy);

### gcal_date_chooser_invalidate_day_options ()

    void
    gcal_date_chooser_invalidate_day_options
                                   (GcalDateChooser *self);

### gcal_date_chooser_get_no_month_change ()

    gboolean
    gcal_date_chooser_get_no_month_change (GcalDateChooser *self);

### gcal_date_chooser_set_no_month_change ()

    void
    gcal_date_chooser_set_no_month_change (GcalDateChooser *self,
                                           gboolean setting);

### gcal_date_chooser_get_show_heading ()

    gboolean
    gcal_date_chooser_get_show_heading (GcalDateChooser *self);

### gcal_date_chooser_set_show_heading ()

    void
    gcal_date_chooser_set_show_heading (GcalDateChooser *self,
                                        gboolean setting);

### gcal_date_chooser_get_show_day_names ()

    gboolean
    gcal_date_chooser_get_show_day_names (GcalDateChooser *self);

### gcal_date_chooser_set_show_day_names ()

    void
    gcal_date_chooser_set_show_day_names (GcalDateChooser *self,
                                          gboolean setting);

### gcal_date_chooser_get_show_week_numbers ()

    gboolean
    gcal_date_chooser_get_show_week_numbers
                                   (GcalDateChooser *self);

### gcal_date_chooser_set_show_week_numbers ()

    void
    gcal_date_chooser_set_show_week_numbers
                                   (GcalDateChooser *self,
                                    gboolean setting);

## Types and Values

### enum GcalDateChooserDayOptions

#### Members

GCAL_DATE_CHOOSER_DAY_NONE |  |
GCAL_DATE_CHOOSER_DAY_WEEKEND |  |
GCAL_DATE_CHOOSER_DAY_HOLIDAY |  |
GCAL_DATE_CHOOSER_DAY_MARKED |  |

### GCAL_TYPE_DATE_CHOOSER

    #define GCAL_TYPE_DATE_CHOOSER (gcal_date_chooser_get_type ())

### GcalDateChooser

    typedef struct _GcalDateChooser GcalDateChooser;

## Property Details

### The `“date”` property

      “date”                     GDateTime *

The selected date.

Flags: Read / Write

### The `“no-month-change”` property

      “no-month-change”          gboolean

If TRUE, the selected month cannot be changed.

Flags: Read / Write

Default value: FALSE

### The `“show-day-names”` property

      “show-day-names”           gboolean

If TRUE, day names are displayed.

Flags: Read / Write

Default value: TRUE

### The `“show-heading”` property

      “show-heading”             gboolean

If TRUE, a heading is displayed.

Flags: Read / Write

Default value: TRUE

### The `“show-week-numbers”` property

      “show-week-numbers”        gboolean

If TRUE, week numbers are displayed.

Flags: Read / Write

Default value: TRUE

## Signal Details

### The `“day-selected”` signal

    void
    user_function (GcalDateChooser *gcaldatechooser,
                   gpointer         user_data)

Flags: Run First

### The `“month-changed”` signal

    void
    user_function (GcalDateChooser *gcaldatechooser,
                   gpointer         user_data)

Flags: Run First